#!/bin/sh
#
# $MidnightBSD: mports/dns/bindgraph/files/bindgraph.in,v 1.1 2008/06/07 16:35:53 laffer1 Exp $
# $FreeBSD: ports/dns/bindgraph/files/bindgraph.in,v 1.1 2007/12/13 06:55:32 rafan Exp $
#
# PROVIDE: bindgraph
# REQUIRE: DAEMON
#
# Add the following line to /etc/rc.conf to enable bindgraph:
#
# bindgraph_enable="YES"
#

. /etc/rc.subr

name="bindgraph"
rcvar=`set_rcvar`

command=/usr/local/sbin/${name}.pl > /dev/null 2>&1
command_interpreter=/usr/bin/perl
stop_postcmd=stop_postcmd

stop_postcmd()
{
    rm -f $pidfile
}

load_rc_config $name
load_rc_config_var named chrootdir

: ${bindgraph_enable="NO"}
: ${bindgraph_pidfile="/var/db/bindgraph/bindgraph.pid"}
: ${bindgraph_flags="--logfile ${named_chrootdir}/var/log/query.log --daemon_rrd=/var/db/bindgraph --daemon --daemon_pid=${bindgraph_pidfile}"}
: ${bindgraph_user="www"}
: ${bindgraph_chdir="/var/db/bindgraph"}

pidfile=${bindgraph_pidfile}

run_rc_command "$1"
